! netcdf_attribute.f90 - object-oriented netCDF interface (attribute)
! vi: set sw=4:
! Copyright (C) TOYODA Eizi, 2000.  All rights reserved.
!
! 2000-01-11 Lcpi	

module netcdf_attribute
    use netcdf_error
    use netcdf_file
    use netcdf_variable

    interface PutAttribute
	module procedure NetcdfPutAttributeText
	module procedure NetcdfPutAttributeInt
	module procedure NetcdfPutAttributeDouble
    end interface

    interface AttributeExists
	module procedure NetcdfGlobalAttributeExists
	module procedure NetcdfGlobalAttributeExistsV
	module procedure NetcdfVariableAttributeExists
    end interface

    interface GetAttribute
	module procedure NetcdfGetAttributeText
	module procedure NetcdfGetAttributeInt
	module procedure NetcdfGetAttributeDouble
    end interface

contains

end module
